Class | Bio::SQL::Seqfeature
In: | lib/bio/io/biosql/ar-biosql.rb
Parent: | DummyBase

### Methods

sequence translate

### Public Instance methods

sequence()

get the subsequence described by the locations objects

[Source]

         # File lib/bio/io/biosql/ar-biosql.rb, line 174
    174:       def sequence
    175:         return self.locations.inject(Bio::Sequence::NA.new("")){|seq, location| seq<<location.sequence}
    176:       end

translate(*args)

translate the subsequences represented by the feature and its locations not considering the qualifiers Return a Bio::Sequence::AA object

[Source]

         # File lib/bio/io/biosql/ar-biosql.rb, line 181
    181:       def translate(*args)
    182:         self.sequence.translate(*args)
    183:       end

[Validate]